<?php ?>


<nav class="navbar greynav">
    <div class="container-fluid">
        <div class="navbar-header">

            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar"
                    aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>

            <?php if ($this->isHere("home", "index")): ?>
                <span class="navbar-brand cdl-navbar-logo ">
                    <?= $this->Html->image(
                        "logos/Logo_Comptoir_h35px_kraken.png",
                        ["alt" => __d("ElementNavigation", "Comptoir du libre")]) ?>
            </span>
            <?php elseif ($this->request->here != $this->request->base): ?>
                <?= $this->Html->link(
                    $this->Html->image("logos/Logo_Comptoir_h35px_kraken.png",
                        ["alt" => __d("ElementNavigation", "Comptoir du libre - back home")]),
                    ['controller' => 'Home', 'action' => 'index'],
                    ['escape' => false, "class" => "navbar-brand cdl-navbar-logo"]) ?>
            <?php endif; ?>
        </div>

        <!-- /!\ without id = no button working -->
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav">
                <?php if ($this->isHere("Softwares")): ?>
            <li class="current">
            <strong class="navbar-text text-center"><?= __d("ElementNavigation", "All softwares") ?></strong>
            <?php elseif (!$this->request->isHere("Project")): ?>
                <li class="">
                    <?= $this->Html->link(__d("ElementNavigation", "All softwares"),
                        ['controller' => 'Softwares', 'action' => 'index'],
                        ['escape' => false]) ?>
                    <?php endif; ?>
                </li>

                <?php if ($this->isHere("Users")): ?>
            <li class="current">
            <strong class="navbar-text text-center"><?= __d("ElementNavigation", "All users") ?></strong>
            <?php elseif (!$this->request->isHere("Users")): ?>
                <li class="">
                    <?= $this->Html->link(__d("ElementNavigation", "All users"),
                        ['controller' => 'Users', 'action' => 'index'],
                        ['escape' => false]) ?>
                    <?php endif; ?>
                </li>

                <?php if ($this->isHere("Users", "providers")): ?>
            <li class="current">
            <strong class="navbar-text text-center"><?= __d("ElementNavigation", "All service providers") ?></strong>
            <?php elseif (!$this->request->isHere("Users", "providers")): ?>
                <li class="">
                    <?= $this->Html->link(__d("ElementNavigation", "All service providers"),
                        ['controller' => 'Users', 'action' => 'providers'],
                        ['escape' => false]) ?>
                    <?php endif; ?>
                </li>

                <?php if ($this->isHere("Home", "participate")): ?>
            <li class="current">
            <strong class="navbar-text text-center"><?= __d("ElementNavigation", "participate") ?></strong>
            <?php elseif (!$this->request->isHere("contact")): ?>
                <li class="">
                    <?= $this->Html->link(__d("ElementNavigation", "Participate"),
                        ['controller' => 'Home', 'action' => 'participate'],
                        ['escape' => false]) ?>
                    <?php endif; ?>
                </li>

                <?php if ($this->isHere("Home", "contact")): ?>
                <li class="current">
                    <strong class="navbar-text text-center"><?= __d("ElementNavigation", "Contact") ?></strong>
                    <?php elseif (!$this->request->isHere("contact")): ?>
                <li class="">
                    <?= $this->Html->link(__d("ElementNavigation", "Contact"),
                        ['controller' => 'Home', 'action' => 'contact'],
                        ['escape' => false]) ?>
                    <?php endif; ?>
                </li>
            </ul>

            <div>
                <?= $this->Form->create(null, ['url' => ['controller' => 'Request', 'action' => 'softwaresList'], 'class' => "navbar-form navbar-right", 'title' => "requestForm"]) ?>
                <div class="form-group">
                    <?= $this->Form->input('q', ['label' => false]) ?>
                </div>
                <div class="form-group">
                    <?= $this->Form->input('limit', ['label' => 'Nombre de résultats', 'value' => 50, 'type' => 'hidden']) ?>
                </div>
                <div class="form-group">
                    <?= $this->Form->input('offset', ['label' => 'Décallage', 'value' => 0, 'type' => 'hidden']) ?>
                </div>
                <div class="form-group">
                    <?= $this->Form->button(__d("ElementNavigation", "Search"), ['class' => 'submit-form search']) ?>
                </div>

                <?= $this->Form->end() ?>
            </div>
        </div>

        <!-- ================= Ribbon ================= -->
        <div class="hidden-xs hidden-sm">
        <span id="version">
            <p><?php echo \CAKE\Core\Configure::read("VERSION.ribbon") ?></p>
        </span>
        </div>
    </div>

</nav>