<?php

/* * *
 * This template merge all templates containing metrics about a software
 * RISCOSS
 * QSOS
 * OPENHUB
 * Others like a custom one
 */
?>

<section class="metrics row">
    <div class="metric-score col-xs-12 col-sm-12 col-md-12 col-lg-12">
        <?php
        /**
         * If metrics are in the database
         */
        ?>

        <h2>
            <?= __d("ElementProject", "Metrics for {0}", $software->softwarename) ?>
            <?= $this->Score->note(isset($software->softwares_statistic->score) ? $software->softwares_statistic->score : null, ['title' => __d("ElementProject", "The score is {0}",isset($software->softwares_statistic->score) ? round($software->softwares_statistic->score,0) : "NA")]) ?>
        </h2>
    </div>

    <?php //if (isset($software) && !empty($software->raw_metrics_softwares) && !empty($software->softwares_statistic) && isset($software->softwares_statistic->score)): ?>
    <div class="col-xs-12 col-sm-12 col-md-12">
        <?php if (!empty($software->raw_metrics_softwares)): ?>
            <p>
                <?= __d("ElementProject", "Last calculation of the score on {0}", $this->Time->format(strtotime($software->raw_metrics_softwares[0]->modified),[\IntlDateFormatter::SHORT,-1])) ?>
            </p>
        <?php else: ?>
            <p>
                <?= __d("ElementProject", "The mark was not calculated."); ?>
            </p>
            <p>
                <?= __d("ElementProject", "Possible reason: "); ?>
            </p>
            <ul class="">
                <li>
                    <?= __d("ElementProject","An incorrect link for the repository was given."); ?>
                </li>
                <li>
                    <?= __d("ElementProject","The score has not been calculated, yet."); ?>
                </li>
            </ul>
        <?php endif; ?>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12">
        <h3>
            <?php echo __d("ElementProject", "Componants of SourceMetric"); ?>
        </h3>
        <table class="table table-hover table-bordered">
            <thead>
            <tr>
                <th scope="col">
                    <?php echo __d("ElementProject", "Indicator"); ?>
                </th>
                <th scope="col" class="datacellnumber">
                    <?php echo __d("ElementProject", "Raw value"); ?>
                </th>
                <th scope="col" class="datacellnumber">
                    <?php echo __d("ElementProject", "Points"); ?>
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td>
                    <?php echo __d("ElementProject", "project_age") ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->raw_metrics_softwares[0]->project_age; ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->softwares_statistic->project_age; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <?php echo __d("ElementProject", "last_commit_age") ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->raw_metrics_softwares[0]->last_commit_age; ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->softwares_statistic->last_commit_age; ?>
                </td>
            </tr>

            <tr>
                <td>
                    <?php echo __d("ElementProject", "high_committer_percent") ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->raw_metrics_softwares[0]->high_committer_percent; ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->softwares_statistic->high_committer_percent; ?>
                </td>
            </tr>

            <tr>
                <td>
                    <?php echo __d("ElementProject", "number_of_contributors") ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->raw_metrics_softwares[0]->number_of_contributors; ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->softwares_statistic->number_of_contributors; ?>
                </td>
            </tr>

            <tr>
                <td>
                    <?php echo __d("ElementProject", "delta_commit_one_month") ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->raw_metrics_softwares[0]->delta_commit_one_month; ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->softwares_statistic->delta_commit_one_month; ?>
                </td>
            </tr>

            <tr>
                <td>
                    <?php echo __d("ElementProject", "delta_commit_twelve_month") ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->raw_metrics_softwares[0]->delta_commit_twelve_month; ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->softwares_statistic->delta_commit_twelve_month; ?>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12">
        <h3>
            <?php echo __d("ElementProject", "Componants of ComptoirMetric"); ?>
        </h3>
        <table class="table table-hover table-bordered">
            <thead>
            <tr>
                <th scope="col">
                    <?php echo __d("ElementProject", "Indicator"); ?>
                </th>
                <th scope="col" class="datacellnumber">
                    <?php echo __d("ElementProject", "Raw value"); ?>
                </th>
                <th scope="col" class="datacellnumber">
                    <?php echo __d("ElementProject", "Points"); ?>
                </th>
            </tr>
            </thead>
            <tbody>

            <tr>
                <td>
                    <?php echo __d("ElementProject", "declared_users") ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->raw_metrics_softwares[0]->declared_users; ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->softwares_statistic->declared_users; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <?php echo __d("ElementProject", "average_review_score") ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->raw_metrics_softwares[0]->average_review_score; ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->softwares_statistic->average_review_score; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <?php echo __d("ElementProject", "screenshots") ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->raw_metrics_softwares[0]->screenshots; ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->softwares_statistic->screenshots; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <?php echo __d("ElementProject", "code_gouv_label") ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->raw_metrics_softwares[0]->code_gouv_label; ?>
                </td>
                <td class="datacellnumber">
                    <?php echo (!isset($software->softwares_statistic->score)) ? "NA" : $software->softwares_statistic->code_gouv_label; ?>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <?php if (isset($software) && !empty($software->raw_metrics_softwares) && !empty($software->softwares_statistic) && isset($software->softwares_statistic->score)): ?>
    <div class="col-xs-12 col-sm-12 col-md-12">
        <h3>
            <?= __d("ElementProject", "Calcul du score"); ?>
        </h3>
        <p>
            <?php
            $total = 0;
            $total = $software->softwares_statistic->last_commit_age + $software->softwares_statistic->project_age
                + $software->softwares_statistic->delta_commit_one_month + $software->softwares_statistic->delta_commit_twelve_month
                + $software->softwares_statistic->number_of_contributors + $software->softwares_statistic->high_committer_percent
                + $software->softwares_statistic->declared_users + $software->softwares_statistic->average_review_score
                + $software->softwares_statistic->screenshots + $software->softwares_statistic->code_gouv_label;
            echo __d("ElementProject", "The formula for the score is:") . "<br />";
            echo "( " . $software->softwares_statistic->last_commit_age . " + " . $software->softwares_statistic->project_age . " + " .
                $software->softwares_statistic->delta_commit_one_month . " + " . $software->softwares_statistic->delta_commit_twelve_month . " + " .
                $software->softwares_statistic->number_of_contributors . " + " . $software->softwares_statistic->high_committer_percent . " + " .
                $software->softwares_statistic->declared_users . " + " . $software->softwares_statistic->average_review_score . " + " .
                $software->softwares_statistic->screenshots . " + " . $software->softwares_statistic->code_gouv_label;
            echo " )&nbsp;/&nbsp;28 = " . $total . "&nbsp;/&nbsp;28 = ";
            ?>

            <span>
                <?= $this->Score->prefix(["class" => "", "tag" => "span", "text" => ""]) ?>
                <?= $this->Score->note(isset($software->softwares_statistic->score) ? $software->softwares_statistic->score : null, ['title' => __d("ElementProject", "The score is {0}",round($software->softwares_statistic->score,0))]) ?>
                <?= $this->Score->suffix(["template" => "suffix", "class" => "score_percent", "tag" => "span", "text" => "%"]) ?>
            </span>
        </p>

    </div>
    <?php endif; ?>
    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
        <?= $this->Html->link(__d("ElementProject", "How to calculate the mark"), ['controller' => 'Softwares', 'action' => 'formula'], ['escape' => false]) ?>
    </div>
</section>