<?php
$this->layout('base');
?>
<!-- --------------------------------------------------------------------------------------------------------------------------------------------
   ----------------------------------------------------------------- Overview ----------------------------------------------------------------
-- ------------------------------------------------------------------------------------------------------------------------------------------ -->
                <section class="row">
                        <div class=" col-xs-12 col-sm-4 col-md-4 col-lg-4 hidden-xs">
                            <?php if (empty ($software->logo_directory) || empty($software->photo)) : ?>
                                <?= $this->Html->link($this->Html->image("logos/Softwarelogo_placeholder.jpg",
                                    ["alt" => $software->softwarename, "class" => "img-responsive size-logo-overview"]),
                                    ['controller' => 'Softwares', 'action' => 'view', $software->id],
                                    ['escape' => false]) ?>
                            <?php else : ?>
                                <?= $this->Html->link($this->Html->image(COMPTOIR_SRV_URL . $software->logo_directory . DS . $software->photo,
                                    ["alt" => $software->softwarename, "class" => "img-responsive size-logo-overview"]),
                                    "#",// url of the entity web site.
                                    ['escape' => false]) ?>
                            <?php endif; ?>
                        </div>

                        <div class="metric-score col-xs-12 col-sm-7 col-md-7 col-lg-7">
                            <ul class="list-unstyled">
                                <li>
                                    <div class="align">
                                        <h1>
                                            <?= $software->softwarename ?>
                                        </h1>
                                        <span>
                                        <?= $this->Score->note(isset($software->softwares_statistic->score) ? $software->softwares_statistic->score : null, ['title' => __d("ElementProject", "Score: {0} %", isset($software->softwares_statistic->score) ? round($software->softwares_statistic->score, 0) : "NA")]) ?>
                                    </span>
                                    </div>
                                </li>
                                <li>
                                    <?= $this->Html->link($software->url_repository,
                                        $software->url_repository,
                                        ['escape' => false]) ?>
                                </li>
                                <li>
                                    <p class="text-overflow">
                                        <?= $software->description ?>
                                    </p>
                                </li>
                            </ul>
                        </div>
                </section>
<!-- --------------------------------------------------------------------------------------------------------------------------------------------
  ----------------------------------------------------------------- End overview ------------------------------------------------------------
-- ------------------------------------------------------------------------------------------------------------------------------------------ -->

                <section>
                    <?php echo $this->Lists->screenshotBlock(

                        \Cake\Utility\Hash::extract($software->screenshots, '{n}'),
                        [
                            "title" => __d("ElementProject", "Screenshots of {0}", $software->softwarename),
                            "link" => [
                                "id" => $software->id,
                                "action" => "screenshots",
                                "participate" => __d("Layout", "Add a screenshot for {0}.", $software->softwarename),
                            ],
                            "tooManyMsg" => __d("Layout", "See all", $software->softwarename),
                            'titleSeeAll' => __d("Layout", "All screenshots of {0}", $software->softwarename),
                            "emptyMsg" => __d("ElementProject", "No screenshot for {0}.", $software->softwarename)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php
                    echo $this->Lists->reviewBlock(
                        \Cake\Utility\Hash::extract($software->reviews, '{n}'),
                        [
                            "title" => __d("ElementProject", "Reviews for {0}", $software->softwarename),
                            "link" => [
                                "id" => $software->id,
                                "action" => "reviewsSoftware",
                                "participate" => __d("Layout", "Add a review for {0}.", $software->softwarename),
                            ],
                            "tooManyMsg" => __d("Layout", "See all"),
                            "titleSeeAll" => __d("ElementProject", "All reviews of {0}", $software->softwarename),
                            "emptyMsg" => __d("ElementProject", "Be the first to post a review for {0}.", $software->softwarename)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php echo $this->Lists->userBlock(
                        \Cake\Utility\Hash::extract($software->providerssoftwares, '{n}.user'),
                        [
                            "title" => __d("ElementProject", "Service providers for {0}", $software->softwarename),
                            "link" => [
                                "id" => $software->id,
                                "action" => "servicesProviders",
                                "participate" => __d("Layout", "Declare yourself as a service provider of {0}.", $software->softwarename),
                            ],
                            "tooManyMsg" => __d("Layout", "See all"),
                            "titleSeeAll" => __d("Layout", "All service providers of {0}", $software->softwarename),
                            "emptyMsg" => __d("ElementProject", "No service provider for {0}.", $software->softwarename)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php echo $this->Lists->userBlock(
                        \Cake\Utility\Hash::extract($software->userssoftwares, '{n}.user'),
                        [
                            "title" => __d("ElementProject", "Users of {0}", $software->softwarename),
                            "link" => [
                                "id" => $software->id,
                                "action" => "usersSoftware",
                                "participate" => __d("Layout", "Declare yourself as a user of {0}.", $software->softwarename),
                            ],
                            "tooManyMsg" => __d("Layout", "See all"),
                            "titleSeeAll" => __d("Layout", "All declared users of {0}", $software->softwarename),
                            "emptyMsg" => __d("ElementProject", "No user for {0}", $software->softwarename)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php echo $this->Lists->softwareBlock(
                        \Cake\Utility\Hash::extract($software->alternativeto, '{n}.software'),
                        [
                            "title" => __d("ElementProject", "Alternative to {0}", $software->softwarename),
                            "link" => [
                                "id" => $software->id,
                                "action" => "alternativeTo",
                                "participate" => __d("Layout", "Declare a software that is an alternative to {0}.", $software->softwarename),
                            ],
                            "tooManyMsg" => __d("Layout", "See all"),
                            "titleSeeAll" => __d("Layout", "All alternatives to {0}", $software->softwarename),
                            "emptyMsg" => __d("ElementProject", "No alternative to {0}.", $software->softwarename)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php echo $this->Lists->softwareBlock(
                        \Cake\Utility\Hash::extract($software->workswellsoftwares, '{n}.software'),
                        [
                            "title" => __d("ElementProject", "Working well with {0}", $software->softwarename),
                            "link" => [
                                "id" => $software->id,
                                "action" => "workswellSoftware",
                                "participate" => __d("Layout", "Declare a software that works well with {0}.", $software->softwarename),
                            ],
                            "tooManyMsg" => __d("Layout", "See all"),
                            "titleSeeAll" => __d("Layout", "All softwares that work well with {0}", $software->softwarename),
                            "emptyMsg" => __d("ElementProject", "There are no project for {0}", $software->softwarename)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php echo $this->element("Softwares/metrics", ['software' => $software]) ?>
                </section>